# List next recipient links

Returns the next recipients in the signing workflow with their action links.

Endpoint: GET /api/v1/organizations/{organizationId}/envelopes/{envelopeId}/next-recipient-links
Version: v1
Security: Bearer, PersonalAccessToken

## Security:

  - `Bearer` (unknown)
    http bearer JWT

  - `PersonalAccessToken` (unknown)
    apiKey in header Personal-Access-Token

## Path parameters:

  - `organizationId` (string, required)
    Unique identifier of the organization

  - `envelopeId` (string, required)
    Unique identifier of the envelope

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `nextRecipientLinks` (array, required)
    The list of next recipient links.

  - `nextRecipientLinks.recipient` (object, required)
    Represents a next recipient in the signing workflow.

  - `nextRecipientLinks.recipient.id` (string, required)
    The recipient ID.
    Example: 00000000-0000-0000-0000-000000000100

  - `nextRecipientLinks.recipient.givenName` (string, required)
    The recipient's given name.
    Example: Mario

  - `nextRecipientLinks.recipient.surname` (string, required)
    The recipient's surname.
    Example: Rossi

  - `nextRecipientLinks.recipient.type` (string, required)
    Type of next recipient in the signing workflow.
    Enum: "Signer", "Automatic", "Approver", "Viewer"

  - `nextRecipientLinks.link` (string, required)
    The action link for the recipient.
    Example: https://sign.example.com/recipient/00000000-0000-0000-0000-000000000100

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (application/json):

  - `errors` (array, required)

  - `errors.errorId` (string, required)

  - `errors.field` (string)

  - `errors.message` (any, required)

  - `errors.messageEn` (any, required)

  - `errors.additionalData` (object)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `errors` (array, required)

  - `errors.errorId` (string, required)

  - `errors.field` (string)

  - `errors.message` (any, required)

  - `errors.messageEn` (any, required)

  - `errors.additionalData` (object)

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `errors` (array, required)

  - `errors.errorId` (string, required)

  - `errors.field` (string)

  - `errors.message` (any, required)

  - `errors.messageEn` (any, required)

  - `errors.additionalData` (object)

## Response 404:

  - `404` (unknown)
    Not Found

## Response 404 fields (application/json):

  - `errors` (array, required)

  - `errors.errorId` (string, required)

  - `errors.field` (string)

  - `errors.message` (any, required)

  - `errors.messageEn` (any, required)

  - `errors.additionalData` (object)

## Response 422:

  - `422` (unknown)
    Unprocessable Content

## Response 422 fields (application/json):

  - `errors` (array, required)

  - `errors.errorId` (string, required)

  - `errors.field` (string)

  - `errors.message` (any, required)

  - `errors.messageEn` (any, required)

  - `errors.additionalData` (object)

## Response 500:

  - `500` (unknown)
    Internal Server Error

## Response 500 fields (application/json):

  - `errors` (array, required)

  - `errors.errorId` (string, required)

  - `errors.field` (string)

  - `errors.message` (any, required)

  - `errors.messageEn` (any, required)

  - `errors.additionalData` (object)

